textures/breakout/sky
// q3map_sun <red> <green> <blue> <intensity> <degrees> <elevation>
{
	nocompress
	qer_editorimage textures/skies_sd/fueldump_clouds.tga
	q3map_lightimage textures/skies_sd/siwa_clouds.tga
	
	q3map_sun 0.75 0.70 0.6 135 199 49
	q3map_skylight 75 3
	sunshader textures/skies_sd/siwasunbright
	
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight
	surfaceparm sky

	skyparms textures/skies_sd/wurzburg_env/sky 512 -
	{
		map textures/breakout/skybox/clouds.jpg
		blendFunc filter
		tcMod scroll 0.005 0.005
		tcMod scale 2 2
	}
}

textures/breakout/breakout_road_uncleared
{ 
	qer_editorimage textures/breakout/breakout_road_uncleared.tga
	surfaceparm woodsteps
	surfaceparm playerclip
	implicitMap -
	{ 
	map textures/breakout/breakout_road_uncleared.tga 
	} 
} 

textures/breakout/famille
{ 
	qer_editorimage textures/breakout/famille.tga
	surfaceparm woodsteps
	surfaceparm playerclip
	implicitMap -
	{ 
	map textures/breakout/famille.tga 
	} 
} 

textures/breakout/grass
{
	surfaceparm grasssteps
	surfaceparm landmine	
	implicitMap -
}

textures/breakout/poster1
{ 
	qer_editorimage textures/breakout/poster1.tga
	surfaceparm woodsteps
	surfaceparm playerclip
	implicitMap -
	{ 
	map textures/breakout/poster1.tga 
	} 
}

// TERRAIN
// =======
textures/breakout/ter_grass2dirt
{
      qer_editorimage textures/breakout/ter_grass2dirt.tga
	
	surfaceparm gravelsteps
	surfaceparm landmine	

	q3map_nonplanar
	q3map_shadeangle 120
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	
	{
		map textures/temperate_sd/grass_dense1.tga // Primary
		rgbGen identity
	}
	{
		map textures/breakout/ter_breakout_mud.tga // Secondary
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GE128
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/breakout/ter_grass2gravel
{
      qer_editorimage textures/breakout/ter_grass2gravel.tga
	
	surfaceparm gravelsteps

	q3map_nonplanar
	q3map_shadeangle 120
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	
	{
		map textures/temperate_sd/grass_dense1.tga // Primary
		rgbGen identity
	}
	{
		map textures/breakout/ter_road_dirty_gravel.tga	// Secondary
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GE128
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/breakout/ter_grass2rock
{
      qer_editorimage textures/breakout/ter_grass2rock.tga
	surfaceparm gravelsteps
	
	q3map_nonplanar
	q3map_shadeangle 179
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )

	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	{
		map textures/temperate_sd/grass_dense1.tga // Primary
		rgbGen identity
	}
	{
		map textures/breakout/ter_rock3_ac.tga // Secondary
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GE128
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

// ======================================================================
// alpha fade shaders
// (c) 2004 randy reddig
// http://www.shaderlab.com
// distribution, in part or in whole, in any medium, permitted
// ======================================================================
//
// These shaders are not fixed to this directory location, they can
// be moved around. They exist here for convenience only.
//
textures/breakout/alpha_000	// Primary texture ONLY
{
	q3map_alphaMod volume
	q3map_alphaMod set 0
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/breakout/alpha_025
{
	q3map_alphaMod volume
	q3map_alphaMod set 0.25
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/breakout/alpha_050	// Perfect mix of both Primary + Secondary
{
	q3map_alphaMod volume
	q3map_alphaMod set 0.50
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/breakout/alpha_075
{
	q3map_alphaMod volume
	q3map_alphaMod set 0.75
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/breakout/alpha_085
{
	q3map_alphaMod volume
	q3map_alphaMod set 0.85
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/breakout/alpha_100	// Secondary texture ONLY
{
	q3map_alphaMod volume
	q3map_alphaMod set 1.0
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}
